%define game_name secondlife
%define name %{game_name}-static-data
%define oname slviewer-linux-libs
%define version 0.1
%define snapshot 20070108c
%define release %mkrel 0.%{snapshot}.1

Summary: Static data files for the Second Life 3-D virtual world
Name: %{name}
Version: %{version}
Release: %{release}
# stripped with this command line:
# tar --delete --file=%{oname}-%{snapshot}.tar ./linden/libraries
Source0: http://secondlife.com/developers/opensource/downloads/%{oname}-%{snapshot}.tar.bz2
License: GPL
Group: Games/Other
Url: http://secondlife.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
Second Life is a 3-D virtual world entirely built and owned by its residents.

This package contains static data files required by Second Life.

%prep
%setup -q -n linden

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_gamesdatadir}/%{game_name}/app_settings
cp -a indra/newview/app_settings %{buildroot}%{_gamesdatadir}/%{game_name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_gamesdatadir}/%{game_name}/app_settings/static_index.db2
%{_gamesdatadir}/%{game_name}/app_settings/static_data.db2


%changelog
* Tue Jan 09 2007 Olivier Blin <oblin@mandriva.com> 0.1-0.20070108c.1mdv2007.1
+ Revision: 106754
- initial secondlife static data release
- Create secondlife-static-data

